Subject: Re: Unexpected effect of log.showSignature on tformat:%H.

From: Junio C Hamano <[email-masked]>
Date: Tue, 19 Nov 2024 18:37:48 +0900

Niels Möller <[email-masked]> writes:

> I had expected the output of git show -s --format='tformat:%H' to be
> always the same, and was surprised to find that scripts using this
> construction started to fail after I set log.showSignature true.

It is a bit unexpected, but knowing how the command options evolved,
it is not all that surprising X-<.  If you are using --format, you
are expected to use the %G placeholder and friends when you are
interested in signatures.  The --show-signature option is unaware of
the other formatting options like --pretty={short,oneline,fuller, so
it is understandable (not "expected") what you are seeing.